Get a job category
curl --request GET \
--url https://api.stage.origin.one/api/v2/agencies/{agencyId}/jobCategories/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.origin.one/api/v2/agencies/{agencyId}/jobCategories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stage.origin.one/api/v2/agencies/{agencyId}/jobCategories/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agency": {
"code": "FAA",
"id": "3",
"object": "agency",
"url": "/api/v2/agencies/3"
},
"id": "3987402f-e963-45a9-8799-b9ea6621adae",
"name": "Flight Crewmember",
"object": "jobCategory",
"url": "/api/v2/agencies/3/jobCategories/3987402f-e963-45a9-8799-b9ea6621adae"
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}Job categories
Get a job category
Returns a job category the agency publishes. Requires the agency.jobCategories.read scope.
GET
/
api
/
v2
/
agencies
/
{agencyId}
/
jobCategories
/
{id}
Get a job category
curl --request GET \
--url https://api.stage.origin.one/api/v2/agencies/{agencyId}/jobCategories/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.origin.one/api/v2/agencies/{agencyId}/jobCategories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stage.origin.one/api/v2/agencies/{agencyId}/jobCategories/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agency": {
"code": "FAA",
"id": "3",
"object": "agency",
"url": "/api/v2/agencies/3"
},
"id": "3987402f-e963-45a9-8799-b9ea6621adae",
"name": "Flight Crewmember",
"object": "jobCategory",
"url": "/api/v2/agencies/3/jobCategories/3987402f-e963-45a9-8799-b9ea6621adae"
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}{
"error": "Bad Request",
"errors": [
{
"code": "tooSmall",
"detail": "Too small: expected number to be >=1",
"meta": {},
"source": {
"pointer": "/page"
}
}
],
"statusCode": 400
}Authorizations
Origin One API token. Pass it in the Authorization header: Authorization: Bearer <token>.
Path Parameters
Unique identifier of the resource.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Unique identifier of the agency.
Example:
"123"
Response
Success.
Agency that publishes the job category.
Show child attributes
Show child attributes
Unique identifier of the job category.
Example:
"3987402f-e963-45a9-8799-b9ea6621adae"
Job category name.
Example:
"Flight Crewmember"
Object type; always jobCategory.
Available options:
jobCategory Example:
"jobCategory"
Canonical path of this resource, relative to the API origin.
Example:
"/api/v2/agencies/3/jobCategories/3987402f-e963-45a9-8799-b9ea6621adae"